%define oversion 4.2-0.8
%define version %(echo %{oversion} | tr - .)

Name:           bashdb
Summary:        BASH debugger, the BASH symbolic debugger
Group:          Development/Other
Version:        %{version}
Release:        %mkrel 2
License:        GPLv2+
Url:            http://bashdb.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{oversion}.tar.bz2
BuildRequires:  bash
Requires:       bash
Requires(post): info-install
Requires(preun): info-install

%description
The Bash Debugger Project is a source-code debugger for bash,
which follows the gdb command syntax.
The purpose of the BASH debugger is to check
what is going on inside a bash script, while it executes:
    * Start a script, specifying conditions that might affect its behavior.
    * Stop a script at certain conditions (break points).
    * Examine the state of a script.
    * Experiment, by changing variable values on the fly.
The 4.0 series is a complete rewrite of the previous series.
Bashdb can be used with ddd: ddd --debugger %{_bindir}/%{name} <script-name>.

%prep
%setup -q -n %{name}-%{oversion}

%build
%configure2_5x

%make

%install
%makeinstall_std

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc doc/*.html AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.2.0.8-2.mga4
+ Revision: 528800
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 djennings <djennings> 4.2.0.8-1.mga4
+ Revision: 447317
- Initial import into Mageia

